Last Comment Bug 666475 - Intermittent browser_tabview_privatebrowsing.js | Test timed out
: Intermittent browser_tabview_privatebrowsing.js | Test timed out
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: x86_64 Linux
: -- normal
: Firefox 8
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 662812
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-06-22 18:22 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (3.19 KB, patch)
2011-06-23 03:42 PDT, Tim Taubert [:ttaubert]
ehsan: review+
raymond: feedback+
Details | Diff | Splinter Review
patch v1 (without white space changes) (2.48 KB, patch)
2011-06-23 03:43 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v2 (4.23 KB, patch)
2011-07-08 07:18 PDT, Tim Taubert [:ttaubert]
ehsan: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor, back in August) 2011-06-22 18:22:44 PDT
There have been a few of these lately, but we've been calling them other random things.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1308733545.1308735250.26021.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2011/06/22 02:05:45
s: talos-r3-fed64-022

TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | we have 1 tab in private browsing
TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | we have 1 group in private browsing
TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | the tab is in the group
TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | correct URL for private browsing
TEST-INFO | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Console message:
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 1 Tim Taubert [:ttaubert] 2011-06-23 03:42:48 PDT
Created attachment 541330 [details] [diff] [review]
patch v1
Comment 2 Tim Taubert [:ttaubert] 2011-06-23 03:43:14 PDT
Created attachment 541331 [details] [diff] [review]
patch v1 (without white space changes)
Comment 3 Tim Taubert [:ttaubert] 2011-06-23 09:35:14 PDT
Comment on attachment 541330 [details] [diff] [review]
patch v1

The fix is that we're now adding a tab without zooming right into it. We stay in tabview and therefore don't need to call showTabView(). The test timed out because we didn't wait for the tabview to be hidden before showing it again.
Comment 4 Treeherder Robot 2011-06-23 19:46:49 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308878620.1308879992.17145.gz
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2011/06/23 18:23:40

s: talos-r3-fed64-020
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 6 Treeherder Robot 2011-06-24 01:56:15 PDT
dao
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1308897324.1308898688.32258.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test mochitest-other on 2011/06/23 23:35:24

s: talos-r3-snow-023
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 7 Treeherder Robot 2011-06-24 05:06:28 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308912798.1308914566.6519.gz
Rev3 WINNT 6.1 mozilla-inbound opt test mochitest-other on 2011/06/24 03:53:18

s: talos-r3-w7-062
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 8 Treeherder Robot 2011-06-24 05:07:01 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308915082.1308916849.20005.gz
Rev3 WINNT 6.1 mozilla-inbound opt test mochitest-other on 2011/06/24 04:31:22

s: talos-r3-w7-007
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 9 Marco Bonardo [::mak] 2011-06-24 05:52:33 PDT
backed out from mozilla-inbound because part of a push that increased number of random failures in Panorama browser-chrome tests.
Please reland in smaller chunks when ready.
Comment 10 Treeherder Robot 2011-06-24 05:53:58 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308916152.1308917667.24409.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test mochitest-other on 2011/06/24 04:49:12

s: talos-r3-snow-028
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 11 Treeherder Robot 2011-06-24 10:10:16 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1308903580.1308904990.26519.gz
Rev3 Fedora 12x64 tracemonkey opt test mochitest-other on 2011/06/24 01:19:40

s: talos-r3-fed64-017
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 12 Treeherder Robot 2011-06-24 14:37:34 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1308947088.1308948792.12602.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test mochitest-other on 2011/06/24 13:24:48

s: talos-r3-snow-019
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 13 Treeherder Robot 2011-06-26 13:10:41 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309114342.1309115745.13920.gz
Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2011/06/26 11:52:22

s: talos-r3-fed-035
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 14 Treeherder Robot 2011-06-27 09:15:37 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309188920.1309190514.2700.gz
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2011/06/27 08:35:20

s: talos-r3-fed64-004
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 15 Treeherder Robot 2011-06-28 09:01:46 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1309273064.1309274716.2124.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey opt test mochitest-other on 2011/06/28 07:57:44

s: talos-r3-snow-017
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 16 Treeherder Robot 2011-06-30 12:49:42 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Build-System/1309460865.1309462266.20192.gz
Rev3 MacOSX Snow Leopard 10.6.2 build-system opt test mochitest-other on 2011/06/30 12:07:45

s: talos-r3-snow-023
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 17 Treeherder Robot 2011-07-01 07:30:59 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309516608.1309519275.26317.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2011/07/01 03:36:48

s: talos-r3-fed64-003
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 18 Treeherder Robot 2011-07-01 16:44:46 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309561417.1309563257.15309.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2011/07/01 16:03:37

s: talos-r3-fed-057
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 19 Treeherder Robot 2011-07-01 16:46:56 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309561417.1309563257.15309.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2011/07/01 16:03:37

s: talos-r3-fed-057
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 20 Treeherder Robot 2011-07-01 16:48:23 PDT
rnewman%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1309561417.1309563257.15309.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2011/07/01 16:03:37

s: talos-r3-fed-057
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 21 Treeherder Robot 2011-07-02 07:10:36 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1309613492.1309614944.21963.gz
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2011/07/02 06:31:32

s: talos-r3-fed64-059
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 22 Treeherder Robot 2011-07-05 10:30:23 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Jaegermonkey/1309704019.1309705437.11349.gz
Rev3 MacOSX Snow Leopard 10.6.2 jaegermonkey opt test mochitest-other on 2011/07/03 07:40:19

s: talos-r3-snow-056
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 23 Tim Taubert [:ttaubert] 2011-07-08 07:18:32 PDT
Created attachment 544807 [details] [diff] [review]
patch v2
Comment 24 :Ehsan Akhgari 2011-07-11 08:17:31 PDT
Comment on attachment 544807 [details] [diff] [review]
patch v2

>   // register a clean up for private browsing just in case
>   registerCleanupFunction(function() {
>-    pb.privateBrowsingEnabled = false;
>+    if (pb.privateBrowsingEnabled)
>+      pb.privateBrowsingEnabled = false;
>   });

You can just assign to false.  If we're out of PB mode, that would be a no-op.

r=me with that fixed.
Comment 25 Treeherder Robot 2011-07-19 02:42:05 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1310992150.1310993524.21772.gz
Rev3 Fedora 12x64 fx-team opt test mochitest-other on 2011/07/18 05:29:10

s: talos-r3-fed64-021
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 26 Treeherder Robot 2011-07-30 18:40:48 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1312066882.1312068134.23183.gz
Rev3 MacOSX Leopard 10.5.8 fx-team opt test mochitest-other on 2011/07/30 16:01:22

s: talos-r3-leopard-054
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_privatebrowsing.js | Test timed out
Comment 27 Tim Taubert [:ttaubert] 2011-08-03 18:53:02 PDT
http://hg.mozilla.org/integration/fx-team/rev/6f1affa4bb5e
Comment 28 Tim Taubert [:ttaubert] 2011-08-04 05:14:23 PDT
http://hg.mozilla.org/mozilla-central/rev/6f1affa4bb5e
Comment 29 Dão Gottwald [:dao] 2011-08-09 01:10:51 PDT
Prior to this patch, this test used to leak hundreds of windows, see bug 658738 comment 71. Does this make any sense?
Comment 30 Dão Gottwald [:dao] 2011-08-09 02:08:29 PDT
Well, not hundreds, but about 139. Anyway, I would really like to know if the test was severely broken or if it revealed an issue that's still there but not exposed anymore.
Comment 31 Dão Gottwald [:dao] 2011-08-09 03:28:58 PDT
Ignore my previous comments; bug 651643 killed the leaks, not this bug.

Note You need to log in before you can comment on or make changes to this bug.